Package org.bukkit

# Class StructureType

java.lang.Object
org.bukkit.StructureType

All Implemented Interfaces:
  `net.kyori.adventure.key.Keyed`, `Keyed`

@Deprecated public final class StructureType extends Object implements Keyed
Deprecated.
This class does not represent the structures of a world well. Use `Structure` or `StructureType` instead.
This class handles the creation and storage of all structure types for Bukkit. Structure Types are the different kinds of structures that can be generated during world/chunk generation. These include Villages, Mineshafts, Mansions, etc.
The registration of new `StructureType`s is case-sensitive.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final StructureType`
`BASTION_REMNANT`
Deprecated.
Bastion remnant.
`static final StructureType`
`BURIED_TREASURE`
Deprecated.
Buried treasure consists of a single chest buried in the beach sand or gravel, with random loot in it.
`static final StructureType`
`DESERT_PYRAMID`
Deprecated.
Desert pyramids (also known as desert temples) are found in deserts.
`static final StructureType`
`END_CITY`
Deprecated.
End Cities are tall castle-like structures that generate in the outer island of the End dimension.
`static final StructureType`
`IGLOO`
Deprecated.
Igloos are structures that generate in snowy biomes.
`static final StructureType`
`JUNGLE_PYRAMID`
Deprecated.
Jungle pyramids (also known as jungle temples) are found in jungles.
`static final StructureType`
`MINESHAFT`
Deprecated.
Mineshafts are underground structures which consist of branching mining tunnels with wooden supports and broken rails.
`static final StructureType`
`NETHER_FORTRESS`
Deprecated.
Nether fortresses are very large complexes that mainly consist of netherbricks.
`static final StructureType`
`NETHER_FOSSIL`
Deprecated.
Nether fossils.
`static final StructureType`
`OCEAN_MONUMENT`
Deprecated.
Ocean monuments are underwater structures.
`static final StructureType`
`OCEAN_RUIN`
Deprecated.
Ocean ruins are clusters of many different blocks that generate underwater in ocean biomes (as well as on the surface of beaches).
`static final StructureType`
`PILLAGER_OUTPOST`
Deprecated.
Pillager outposts may contain crossbows.
`static final StructureType`
`RUINED_PORTAL`
Deprecated.
Ruined portal.
`static final StructureType`
`SHIPWRECK`
Deprecated.
Shipwrecks are structures that generate on the floor of oceans or beaches.
`static final StructureType`
`STRONGHOLD`
Deprecated.
Strongholds are underground structures that consist of many rooms, libraries, and an end portal room.
`static final StructureType`
`SWAMP_HUT`
Deprecated.
Swamp huts (also known as witch huts) generate in swamp biomes and have the ability to spawn witches.
`static final StructureType`
`VILLAGE`
Deprecated.
Villages are naturally generating structures that form above ground.
`static final StructureType`
`WOODLAND_MANSION`
Deprecated.
Mansions (also known as woodland mansions) are massive house structures that generate in dark forests, containing a wide variety of rooms.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
Deprecated.
`@NotNull NamespacedKey`
`getKey()`
Deprecated.
Return the namespaced identifier for this object.
`MapCursor.Type`
`getMapIcon()`
Deprecated.
Get the `MapCursor.Type` that this structure can use on maps.
`@NotNull String`
`getName()`
Deprecated.
Get the name of this structure.
`static @NotNull Map<String,StructureType>`
`getStructureTypes()`
Deprecated.
Get all registered `StructureType`s.
`int`
`hashCode()`
Deprecated.
`String`
`toString()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.bukkit.Keyed

`key`

## Field Details

### MINESHAFT

public static final StructureType MINESHAFT
Deprecated.
Mineshafts are underground structures which consist of branching mining tunnels with wooden supports and broken rails.
They are the only place where cave spider spawners and minecarts with chests can be found naturally.

### VILLAGE

public static final StructureType VILLAGE
Deprecated.
Villages are naturally generating structures that form above ground.
They are usually generated in desert, plains, taiga, and savanna biomes and are a site for villager spawns, with whom the player can trade.

### NETHER_FORTRESS

public static final StructureType NETHER_FORTRESS
Deprecated.
Nether fortresses are very large complexes that mainly consist of netherbricks.
They contain blaze spawners, nether wart farms, and loot chests. They are only generated in the nether dimension.

### STRONGHOLD

public static final StructureType STRONGHOLD
Deprecated.
Strongholds are underground structures that consist of many rooms, libraries, and an end portal room.
They can be found using an `Material.ENDER_EYE`.

### JUNGLE_PYRAMID

public static final StructureType JUNGLE_PYRAMID
Deprecated.
Jungle pyramids (also known as jungle temples) are found in jungles.
They are usually composed of cobblestone and mossy cobblestone. They consist of three floors, with the bottom floor containing treasure chests.

### OCEAN_RUIN

public static final StructureType OCEAN_RUIN
Deprecated.
Ocean ruins are clusters of many different blocks that generate underwater in ocean biomes (as well as on the surface of beaches).
They come in my different variations. The cold variants consist primarily of stone brick, and the warm variants consist of sandstone.

### DESERT_PYRAMID

public static final StructureType DESERT_PYRAMID
Deprecated.
Desert pyramids (also known as desert temples) are found in deserts.
They are usually composed of sandstone and stained terracotta.

### IGLOO

public static final StructureType IGLOO
Deprecated.
Igloos are structures that generate in snowy biomes.
They consist of the house, as well as a basement.

### SWAMP_HUT

public static final StructureType SWAMP_HUT
Deprecated.
Swamp huts (also known as witch huts) generate in swamp biomes and have the ability to spawn witches.

### OCEAN_MONUMENT

public static final StructureType OCEAN_MONUMENT
Deprecated.
Ocean monuments are underwater structures.
They are usually composed on all three different prismarine types and sea lanterns. They are the only place guardians and elder guardians spawn naturally.

### END_CITY

public static final StructureType END_CITY
Deprecated.
End Cities are tall castle-like structures that generate in the outer island of the End dimension.
They consist primarily of end stone bricks, purpur blocks, and end rods. They are the only place where shulkers can be found.

### WOODLAND_MANSION

public static final StructureType WOODLAND_MANSION
Deprecated.
Mansions (also known as woodland mansions) are massive house structures that generate in dark forests, containing a wide variety of rooms.
They are the only place where evokers, vindicators, and vexes spawn naturally (but only once)

### BURIED_TREASURE

public static final StructureType BURIED_TREASURE
Deprecated.
Buried treasure consists of a single chest buried in the beach sand or gravel, with random loot in it.

### SHIPWRECK

public static final StructureType SHIPWRECK
Deprecated.
Shipwrecks are structures that generate on the floor of oceans or beaches.
They are made up of wood materials, and contain 1-3 loot chests. They can generate sideways, upside-down, or upright.

### PILLAGER_OUTPOST

public static final StructureType PILLAGER_OUTPOST
Deprecated.
Pillager outposts may contain crossbows.

### NETHER_FOSSIL

public static final StructureType NETHER_FOSSIL
Deprecated.
Nether fossils.

### RUINED_PORTAL

public static final StructureType RUINED_PORTAL
Deprecated.
Ruined portal.

### BASTION_REMNANT

public static final StructureType BASTION_REMNANT
Deprecated.
Bastion remnant.

## Method Details

### getName

@NotNull public @NotNull String getName()
Deprecated.
Get the name of this structure. This is case-sensitive when used in commands.

Returns:
  the name of this structure

### getMapIcon

@Nullable public MapCursor.Type getMapIcon()
Deprecated.
Get the `MapCursor.Type` that this structure can use on maps. If this is null, this structure will not appear on explorer maps.

Returns:
  the `MapCursor.Type` or null.

### equals

public boolean equals(Object other)
Deprecated.

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()
Deprecated.

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `Object`

### getStructureTypes

@NotNull public static @NotNull Map<String,StructureType> getStructureTypes()
Deprecated.
Get all registered `StructureType`s.

Returns:
  an immutable copy of registered structure types.

### getKey

@NotNull public @NotNull NamespacedKey getKey()
Deprecated.
Description copied from interface: `Keyed`
Return the namespaced identifier for this object.

Specified by:
  `getKey` in interface `Keyed`
Returns:
  this object's key